Bug 14624 - classicupgrade should interpret 2036-02-05 expiring accounts as "never expires"
Summary: classicupgrade should interpret 2036-02-05 expiring accounts as "never expires"
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools (show other bugs)
Version: 4.13.3
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-29 11:34 UTC by Björn Jacke
Modified: 2021-02-18 09:53 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2021-01-29 11:34:16 UTC
in classic NT4 domains "never expires" was a value of 32bit unix epoch max (2036-02-05), samba-tool domain classicupgrade should be aware of that and correctly set those account to "never expires", too.
Comment 1 Samba QA Contact 2021-02-10 15:07:20 UTC
This bug was referenced in samba master:

df75d82c9de6977c466ee9f01886cb012a9c5fef
Comment 2 Björn Jacke 2021-02-10 16:51:42 UTC
Karo, the commit should also be cherry-picked to the supported release branches.
Comment 3 Karolin Seeger 2021-02-15 12:35:07 UTC
(In reply to Björn Jacke from comment #2)
Pushed to autobuild-v4-{14,13,12}-test.
Comment 4 Samba QA Contact 2021-02-16 17:17:13 UTC
This bug was referenced in samba v4-13-test:

ac0e7f6a0cd6a27679762556324a6ec755401824
Comment 5 Samba QA Contact 2021-02-16 18:28:05 UTC
This bug was referenced in samba v4-14-test:

dedae240651b50c44eefd3b4d15f35621085cdb4
Comment 6 Samba QA Contact 2021-02-16 22:34:23 UTC
This bug was referenced in samba v4-12-test:

237a51d926e1620dd185cd55c3d9dbfb443b44e8
Comment 7 Samba QA Contact 2021-02-18 09:53:12 UTC
This bug was referenced in samba v4-14-stable (Release samba-4.14.0rc3):

dedae240651b50c44eefd3b4d15f35621085cdb4